package de.thk.gm.websocketsdemo.models

import jakarta.persistence.Entity
import jakarta.persistence.Id
import jakarta.persistence.ManyToOne
import java.util.*

@Entity
class ChatMessage {
    @Id
    val id: UUID = UUID.randomUUID()

    var username: String? = null
    var text: String? = null
    var createdAt: Date = Date()

    @ManyToOne
    var chatRoom: ChatRoom? = null
}