package de.thk.gm.websocketsdemo.repositories

import de.thk.gm.websocketsdemo.models.ChatMessage
import de.thk.gm.websocketsdemo.models.ChatRoom
import org.springframework.data.repository.CrudRepository
import org.springframework.stereotype.Repository
import java.util.*

@Repository
interface ChatMessageRepository : CrudRepository<ChatMessage, UUID> {
    fun findChatMessagesByChatRoomOrderByCreatedAt(chatRoom: ChatRoom): List<ChatMessage>
}